--- title: "Set cluster OIDC" slug: "nks-patchoidc" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-patchoidc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set cluster OIDC Available in VPC OpenID Connect (OIDC) is a feature that allows you to easily implement user authentication across multiple platforms that accept OpenID authentication using a single OpenID. Add the OIDC authentication feature to a cluster by setting up an OIDC provider. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | PATCH | /vnks/v2/clusters/{uuid}/oidc (Korea Region) | | PATCH | /vnks/sgn-v2/clusters/{uuid}/oidc (Singapore Region) | | PATCH | /vnks/jpn-v2/clusters/{uuid}/oidc (Japan Region) | ### Request headers For information about the headers common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service request headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | Required | Cluster's UUID - See [View cluster list](/docs/en/nks-getclusterlist) | ### Request syntax The request syntax is as follows. ``` { "clientId": "String", "issuserURL": "String", "status": "Boolean", "groupsClaim": "String", "groupsPrefix": "String", "usernameClaim": "String", "usernamePrefix": "String", "requiredClaim": "String" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `status` | Boolean | Required | Whether OIDC authentication is enabled - `true` \| `false` | | `clientId` | String | Required | Client ID of the OIDC provider | | `issuerURL` | String | Required | URL of the OIDC provider | | `groupsClaim` | String | Optional | JWT Claim to use as the user's groups | | `groupsPrefix` | String | Optional | Prefix to add before `groupsClaim` - Use to avoid conflicts with existing groups | | `usernameClaim` | String | Optional | Claim to use as the user's username | | `usernamePrefix` | String | Optional | Prefix to add before `usernameClaim` - Use to avoid conflicts with existing usernames | | `requiredClaim` | String | Optional | Key=value pairs that specify a required claim in the ID token | ### Request example The following is a sample request. ``` curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/0000a20e-e0fb-4dc9-af1b-97fd3f8d0000/oidc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "clientId": "String", "issuerURL": "String", "status": "true", "groupsClaim": "String", "groupsPrefix": "String", "usernameClaim": "String", "usernamePrefix": "String", "requiredClaim": "String" }' ``` ## Responses The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `uuid` | String | - | UUID of the cluster | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "uuid": "0000a20e-e0fb-4dc9-af1b-97fd3f8d0000" } ```